KURL::List Class Reference

`#include <kurl.h>`

Inherits QValueList< T >.

## Public Member Functions

| List ()
| List (const KURL &url)
| List (const QStringList &list)
QStringList | toStringList () const

## Detailed Description

KURL::List is a QValueList that contains KURLs with a few convenience methods.

See also
  KURL
  QValueList

Definition at line 187 of file kurl.h.

## Constructor & Destructor Documentation

KURL::List::List | ( |  | ) |

inline

Creates an empty List.

Definition at line 193 of file kurl.h.

KURL::List::List | ( | const KURL & | url | ) |

Creates a list that contains the given URL as only item.

Parameters

  url | the URL to add

Definition at line 427 of file kurl.cpp.

KURL::List::List | ( | const QStringList & | list | ) |

Creates a list that contains the URLs from the given list.

This equivalent to iterating over the input list and using each item as the argument to KURL's constructor, i.e. the resulting list will have as many elements as the input list, but not all entries might be valid.

Parameters

  list | the list containing the URLs as strings

See also
  KURL(const QString &, int)

Definition at line 432 of file kurl.cpp.

## Member Function Documentation

QStringList KURL::List::toStringList | ( |  | ) | const

Converts the URLs of this list to a list of strings.

This is equivalent to iterating over the list and calling url() on each item. If you need a list of user visible URLs, i.e. not containing password information, iterate over the list yourself and call prettyURL() on each item instead.

Returns
  the list of strings

See also
  KURL::url()

Definition at line 442 of file kurl.cpp.

The documentation for this class was generated from the following files:

- kurl.h
- kurl.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys